POST gls/api/reports/schedules-summaries/acct-per-aux
Request Information
URI Parameters
None.
Body Parameters
SchedulesAndSummariesRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| BooksOfAccountId | integer |
None. |
|
| Mode | string |
None. |
|
| AcctCodeFrom | string |
None. |
|
| AcctCodeTo | string |
None. |
|
| PersonFrom | string |
None. |
|
| PersonTo | string |
None. |
|
| AuxCodeFrom | string |
None. |
|
| AuxCodeTo | string |
None. |
|
| CutOffDateFrom | date |
None. |
|
| CutOffDateTo | date |
None. |
|
| CycleDateFrom | date |
None. |
|
| IsAsOf | boolean |
None. |
|
| IsForThePeriod | boolean |
None. |
|
| IsDetailed | boolean |
None. |
|
| IsSummarized | boolean |
None. |
|
| PostingStatus | string |
None. |
|
| GroupPerPerson | boolean |
None. |
|
| GroupPerAux | boolean |
None. |
|
| GroupPerAccount | boolean |
None. |
|
| DisplayParticulars | boolean |
None. |
|
| ShortDescription | boolean |
None. |
|
| ShowAccountsWithZeroBalance | boolean |
None. |
|
| Continuous | boolean |
None. |
|
| Screen | boolean |
None. |
|
| AccountPerPerson | boolean |
None. |
|
| AccountPerAuxiliary | boolean |
None. |
|
| PersonPerAuxiliary | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"booksOfAccountId": 1,
"mode": "sample string 2",
"acctCodeFrom": "sample string 3",
"acctCodeTo": "sample string 4",
"personFrom": "sample string 5",
"personTo": "sample string 6",
"auxCodeFrom": "sample string 7",
"auxCodeTo": "sample string 8",
"cutOffDateFrom": "2026-04-07T22:27:34.7179635+08:00",
"cutOffDateTo": "2026-04-07T22:27:34.7179635+08:00",
"cycleDateFrom": "2026-04-07T22:27:34.7179635+08:00",
"isAsOf": true,
"isForThePeriod": true,
"isDetailed": true,
"isSummarized": true,
"postingStatus": "sample string 13",
"groupPerPerson": true,
"groupPerAux": true,
"groupPerAccount": true,
"displayParticulars": true,
"shortDescription": true,
"showAccountsWithZeroBalance": true,
"continuous": true,
"screen": true,
"accountPerPerson": true,
"accountPerAuxiliary": true,
"personPerAuxiliary": true,
"userId": 1
}
application/xml, text/xml
Sample:
<SchedulesAndSummariesRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <AccountPerAuxiliary>true</AccountPerAuxiliary> <AccountPerPerson>true</AccountPerPerson> <AcctCodeFrom>sample string 3</AcctCodeFrom> <AcctCodeTo>sample string 4</AcctCodeTo> <AuxCodeFrom>sample string 7</AuxCodeFrom> <AuxCodeTo>sample string 8</AuxCodeTo> <BooksOfAccountId>1</BooksOfAccountId> <Continuous>true</Continuous> <CutOffDateFrom>2026-04-07T22:27:34.7179635+08:00</CutOffDateFrom> <CutOffDateTo>2026-04-07T22:27:34.7179635+08:00</CutOffDateTo> <CycleDateFrom>2026-04-07T22:27:34.7179635+08:00</CycleDateFrom> <DisplayParticulars>true</DisplayParticulars> <GroupPerAccount>true</GroupPerAccount> <GroupPerAux>true</GroupPerAux> <GroupPerPerson>true</GroupPerPerson> <IsAsOf>true</IsAsOf> <IsDetailed>true</IsDetailed> <IsForThePeriod>true</IsForThePeriod> <IsSummarized>true</IsSummarized> <Mode>sample string 2</Mode> <PersonFrom>sample string 5</PersonFrom> <PersonPerAuxiliary>true</PersonPerAuxiliary> <PersonTo>sample string 6</PersonTo> <PostingStatus>sample string 13</PostingStatus> <Screen>true</Screen> <ShortDescription>true</ShortDescription> <ShowAccountsWithZeroBalance>true</ShowAccountsWithZeroBalance> <UserId>1</UserId> </SchedulesAndSummariesRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.